/*
 * voicechat - Voice chat via TCP/IP
 * Copyright 1995 Riku Saikkonen (rjs@spider.compart.fi)
 *
 * Voicechat is free software, distributed under the terms of the GNU
 * General Public License version 2, and comes with ABSOLUTELY NO WARRANTY;
 * for details, see the file README distributed with the program.
 */

#include <stdio.h>
#include "voicechat.h"

void message(char *msg)
{
  if (display_initialised)
    disp_writemsg(msg);
  else
  {
    fputs(msg,stderr);
    fputc(10,stderr);
  }
}

void warning(char *msg)
{
  char s[80];
  
  sprintf(s,"Warning: %s!",msg);
  
  if (display_initialised)
    disp_writemsg(s);
  else
  {
    fputs(s,stderr);
    fputc(10,stderr);
  }
}

void fatal(char *msg)
{
  if (display_initialised) disp_deinit();

  fprintf(stderr,"Error %s!\n",msg);
  exit(1);
}

void fatals(char *msg)
{
  char s[80];

  if (display_initialised) disp_deinit();

  sprintf(s,"Error %s: ",msg);
  perror(s);
  exit(1);
}
